Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc.spi
Class IQMUCSearchHandler

    java.lang.Object
      org.jivesoftware.openfire.muc.spi.IQMUCSearchHandler

    public class IQMUCSearchHandler

extends Object

This class adds jabber:iq:search combined with 'result set management' functionality to the MUC service of Openfire.

Author:
  Guus der Kinderen - Nimbuzz B.V. , Giancarlo Frison - Nimbuzz B.V.

Constructor Summary
`IQMUCSearchHandler(MultiUserChatService mucService)` Creates a new instance of the search provider.

Method Summary
`static String` | `getFirstValue(org.xmpp.forms.FormField formField)` Deprecated. replaced by `FormField.getFirstValue()`
`org.xmpp.packet.IQ` | `handleIQ(org.xmpp.packet.IQ iq)` Constructs an answer on a IQ stanza that contains a search request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IQMUCSearchHandler

    public IQMUCSearchHandler(MultiUserChatService mucService)

  Creates a new instance of the search provider.

  Parameters:
    `mucService` - The server for which to return search results.

Method Detail

### handleIQ

    public org.xmpp.packet.IQ handleIQ(org.xmpp.packet.IQ iq)

  Constructs an answer on a IQ stanza that contains a search request. The answer will be an IQ stanza of type 'result' or 'error'.

  Parameters:
    `iq` - The IQ stanza that is the search request.
  Returns:
    An answer to the provided request.

### getFirstValue

    @Deprecated
    public static String getFirstValue(org.xmpp.forms.FormField formField)

  Deprecated. replaced by `FormField.getFirstValue()`

  Returns the first value from the FormField, or 'null' if no value has been set.

  Parameters:
    `formField` - The field from which to return the first value.
  Returns:
    String based value, or 'null' if the FormField has no values.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.